This is the mail archive of the binutils@sourceware.org mailing list for the binutils project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [patch] spu_ovl.o build fails on make -j


On Sat, 02 Aug 2008 16:23:08 +0200, Alan Modra wrote:
> Perhaps it would be better to call the file something more
> friendly to people using 8.3 file systems though, spu_ovl.o_c maybe?

You are right even that the file is not a valid C source file for `.c'.

> OK with that change.

Committed the attached form.


Thanks,
Jan
2008-08-02  Jan Kratochvil  <jan.kratochvil@redhat.com>

	Include the spu_ovl ASCII form in the repository files.
	* emultempl/spuelf.em: No longer use `bin2c', use now `spu_ovl.o_c'.
	* Makefile.am (eelf32_spu.c): Depend now on `spu_ovl.o_c'.
	($(srcdir)/emultempl/spu_ovl.o_c): New target.
	($(srcdir)/emultempl/spu_ovl.o): Rename to...
	(spu_ovl.o): ...this one.
	* Makefile.in: Regenerate.
	* emultempl/spu_ovl.o_c: New file.
	* emultempl/spu_ovl.o: File removed.

===================================================================
RCS file: /cvs/src/src/ld/Makefile.am,v
retrieving revision 1.248
retrieving revision 1.249
diff -u -r1.248 -r1.249
--- src/ld/Makefile.am	2008/07/12 08:54:13	1.248
+++ src/ld/Makefile.am	2008/08/02 16:25:43	1.249
@@ -727,11 +727,13 @@
   $(srcdir)/scripttempl/elf.sc ${GEN_DEPENDS}
 	${GENSCRIPTS} elf32_sparc_vxworks "$(tdir_elf32_sparc_vxworks)"
 eelf32_spu.c: $(srcdir)/emulparams/elf32_spu.sh $(srcdir)/emultempl/spuelf.em \
-  $(srcdir)/emultempl/spu_ovl.o \
+  $(srcdir)/emultempl/spu_ovl.o_c \
   ldemul-list.h \
   $(ELF_DEPS) $(srcdir)/scripttempl/elf.sc ${GEN_DEPENDS}
 	${GENSCRIPTS} elf32_spu "$(tdir_elf32_spu)"
-$(srcdir)/emultempl/spu_ovl.o: @MAINT@ $(srcdir)/emultempl/spu_ovl.S
+$(srcdir)/emultempl/spu_ovl.o_c: @MAINT@ spu_ovl.o
+	../binutils/bin2c <spu_ovl.o >$@
+spu_ovl.o: @MAINT@ $(srcdir)/emultempl/spu_ovl.S
 	cpp -DOVLY_IRQ_SAVE $(srcdir)/emultempl/spu_ovl.S spu_ovl.s
 	if ../gas/as-new --version \
 		| grep 'target.*spu' >/dev/null 2>/dev/null; then \
@@ -1810,7 +1812,7 @@
 	ldemul-list.h crtbegin.o crtend.o ld.log ld.sum
 mostlyclean-local:
 	-rm -rf tmpdir
-CLEANFILES = dep.sed DEP DEPA DEP1 DEP2 spu_ovl.s
+CLEANFILES = dep.sed DEP DEPA DEP1 DEP2 spu_ovl.s spu_ovl.o
 
 .PHONY: install-html install-html-am install-html-recursive
 
@@ -1889,7 +1891,7 @@
 
 # Stuff that should be included in a distribution.  The diststuff
 # target is run by the taz target in ../Makefile.in.
-EXTRA_DIST = ldgram.c ldgram.h ldlex.c emultempl/spu_ovl.o $(man_MANS)
+EXTRA_DIST = ldgram.c ldgram.h ldlex.c emultempl/spu_ovl.o_c $(man_MANS)
 diststuff: info $(EXTRA_DIST)
 all: info ld.1
 
===================================================================
RCS file: /cvs/src/src/ld/emultempl/spuelf.em,v
retrieving revision 1.25
retrieving revision 1.26
diff -u -r1.25 -r1.26
--- src/ld/emultempl/spuelf.em	2008/07/31 05:27:54	1.25
+++ src/ld/emultempl/spuelf.em	2008/08/02 16:25:44	1.26
@@ -57,9 +57,9 @@
 static const char ovl_mgr[] = {
 EOF
 
-if ! ../binutils/bin2c < ${srcdir}/emultempl/spu_ovl.o >> e${EMULATION_NAME}.c
+if ! cat ${srcdir}/emultempl/spu_ovl.o_c >> e${EMULATION_NAME}.c
 then
-  echo >&2 "Missing ${srcdir}/emultempl/spu_ovl.o"
+  echo >&2 "Missing ${srcdir}/emultempl/spu_ovl.o_c"
   echo >&2 "You must build gas/as-new with --target=spu to build spu_ovl.o"
   exit 1
 fi

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]